%
%   $Id$
%
%   This script defines structures containing geometry information for
%   the five IGEC resonant bar detectors and the five "first-generation"
%   interferometer sites:
%  
%   IFOs:
%     detector_LLO    % LIGO Livingston
%     detector_LHO    % LIGO Hanford
%     detector_VIRGO
%     detector_GEO600
%     detector_TAMA
%  
%   Bars:
%     detector_ALLEGRO
%     detector_AURIGA
%     detector_EXPLORER
%     detector_NAUTILUS
%     detector_NIOBE
%  
%   The fields of the IFO structures are
%       loc: [1x1 struct]  % Geographical location as generated by
%                            createLocation
%      xarm: [1x1 struct]  % X arm orientation as generated by
%                            createOrientation
%      yarm: [1x1 struct]  % Y arm orientation as generated by
%                             createOrientation
%       det: [1x1 struct]  % Detector geometry structure as generated
%                            by createIfoDetector
%   See the referenced functions for more details
%  
%   The fields of the Bar structures are
%           loc: [1x1 struct]  % Geographical location as generated 
%                                by createLocation
%      IGECaxis: [1x1 struct]  % Orientation of long axis when rougly
%                                parallel to other IGEC bars, as 
%                                generated by createOrientation
%       IGECdet: [1x1 struct]  % Detector geometry structure (in IGEC 
%                                orientation) as generated by createBarDetector
%   See the referenced functions for more details

% LIGO Livinston (Livingston, Louisiana, USA)

detector_LLO.loc  = createLocation( 30+(33+46.4196/60)/60 , ...
				   - (90+(46+27.2654/60)/60) , ...
				   -6.574 );
detector_LLO.xarm = createOrientation(180+72.2835, -3.121e-4*180/pi);
detector_LLO.yarm = createOrientation(180-17.7165, -6.107e-4*180/pi);
detector_LLO.det  = createIfoDetector(detector_LLO.loc, ...
                                      detector_LLO.xarm, ...
                                      detector_LLO.yarm);

% LIGO Hanford (Hanford, Washington, USA)

detector_LHO.loc  = createLocation( 46+(27+18.528/60)/60 , ...
				   - (119+(24+27.5657/60)/60) , ...
				   142.554);
detector_LHO.xarm = createOrientation(-35.9994, -6.195e-4*180/pi);
detector_LHO.yarm = createOrientation(180+54.0006, 1.25e-5*180/pi);
detector_LHO.det  = createIfoDetector(detector_LHO.loc, ...
                                      detector_LHO.xarm, ...
                                      detector_LHO.yarm);

% GEO-600 (Hannover, Germany)

detector_GEO600.loc  = createLocation(52 + (14 + 42.528/60)/60 , ...
				      9 + (48 + 25.894/60)/60 , ...
				      114.425);
detector_GEO600.xarm = createOrientation(90-21.6117);
detector_GEO600.yarm = createOrientation(90-115.9431);
detector_GEO600.det  = createIfoDetector(detector_GEO600.loc, ...
                                      detector_GEO600.xarm, ...
                                      detector_GEO600.yarm);

% TAMA-300 (Tokyo, Japan)

detector_TAMA300.loc  = createLocation(35 + (40 + 35.6/60)/60 , ...
				       139 + (32 + 9.8/60)/60 , ...
				       90);
detector_TAMA300.xarm = createOrientation(90-180);
detector_TAMA300.yarm = createOrientation(90-270);
detector_TAMA300.det  = createIfoDetector(detector_TAMA300.loc, ...
                                      detector_TAMA300.xarm, ...
                                      detector_TAMA300.yarm);

% VIRGO (Cascina/Pisa, Italy)

detector_VIRGO.loc  = createLocation(43 + (37 + 53.0921/60)/60 , ...
				     10 + (30 + 16.1878/60)/60 , ...
				     51.884);
detector_VIRGO.xarm = createOrientation(90-70.5674);
detector_VIRGO.yarm = createOrientation(90-160.5674);
detector_VIRGO.det  = createIfoDetector(detector_VIRGO.loc, ...
                                      detector_VIRGO.xarm, ...
                                      detector_VIRGO.yarm);

% ALLEGRO (Baton Rouge, Louisiana, USA)
detector_ALLEGRO.loc = createLocation( 30+(24+45.110/60)/60, ...
				      - (91+(10+43.766/60)/60) );
detector_ALLEGRO.IGECaxis = createOrientation(-40);
detector_ALLEGRO.IGECdet  = createBarDetector(detector_ALLEGRO.loc, ...
					      detector_ALLEGRO.IGECaxis);

% AURIGA (Legnaro/Padova, Italy)
detector_AURIGA.loc = createLocation( 45+(21+12/60)/60, ...
                                     11+(56+54/60)/60, ...
                                     0 );
detector_AURIGA.IGECaxis = createOrientation(44);
detector_AURIGA.IGECdet  = createBarDetector(detector_AURIGA.loc, ...
					     detector_AURIGA.IGECaxis);

% EXPLORER (Geneva, Switzerland)
detector_EXPLORER.loc = createLocation( 46+27/60, ...
				       6+12/60 );
detector_EXPLORER.IGECaxis = createOrientation(39);
detector_EXPLORER.IGECdet  = createBarDetector(detector_EXPLORER.loc, ...
					       detector_EXPLORER.IGECaxis);

% NAUTILUS (Frascati/Rome, Italy)
detector_NAUTILUS.loc = createLocation( 41+(49+26/60)/60, ...
				       12+(40+21/60)/60 );
detector_NAUTILUS.IGECaxis = createOrientation(44);
detector_NAUTILUS.IGECdet  = createBarDetector(detector_NAUTILUS.loc, ...
					    detector_NAUTILUS.IGECaxis);

% NIOBE (Perth, Australia)
detector_NIOBE.loc = createLocation(-(31+56/60), ...
				       115+49/60 );
detector_NIOBE.IGECaxis = createOrientation(0);
detector_NIOBE.IGECdet  = createBarDetector(detector_NIOBE.loc, ...
					       detector_NIOBE.IGECaxis);
